API Reference
Operations
List all possible operations, formats, engines and possible options.
List operations
List all possible operations, formats, engines and possible options.
GEThttps://api.cloudconvert.com/v2/operations
Query Parameters
filter[operation]
string
The result will be filtered to include only possible operations with a matching operation name (e.g.
convert or optimize).filter[input_format]
string
The result will be filtered to include only possible conversions with a matching input format.
filter[output_format]
string
The result will be filtered to include only possible conversions with a matching output format.
filter[engine]
string
Filter result to only include conversions with a matching engine name.
filter[engine_version]
string
Filter result to only include conversions with a matching engine version.
alternatives
boolean
For some formats multiple alternative engines are available. If set to
true, the result includes these alternative conversion types. Defaults to false.include
array
Include
options and/or engine_versions in the result. Use options.details to get the options including details for building user interfaces, such as labels, value ranges and descriptions of the possible values. We recommend to set options,options.details in this case.Response
The list of possible conversion types:
operation
string
Name of the operation, such as
convert, optimize or capture-website.input_format
string
Format of the input file.
output_format
string
Format of the conversion result.
engine
string
Name of the engine.
credits
integer
The base amount of conversion credits this operation consumes.
options
array
Possible options for this conversion type. Available, if the include argument contains
options.name
string
Name of the option.
type
string
Data type of the option:
string, boolean, integer, float, enum or dictionary.default
string
Default value.
description
string
Description of the option.
possible_values
array
Possible values if the data type is
enum.label
string
Human-readable name of the option. Only available, if the include argument contains
options.details. This applies to all following attributes as well. All of them are optional and more attributes might be added in the future.group
string
Category of the option, such as
video, audio or watermark.advanced
boolean
true for rarely needed options. User interfaces might hide them by default.depends_on
array
The option only has an effect if all of these conditions are met. Each condition has a list of
options and either in (any of the options has one of these values), not_in (none of the options has one of these values), set: true (any of the options is set) or set: false (none of the options is set, as they override this option). Unset options count with their default value. This is a recommendation for user interfaces and is not enforced when creating tasks.min
number
Recommended minimum value for
integer and float options. min, max and step are recommendations for user interfaces and are not enforced when creating tasks.max
number
Recommended maximum value.
step
number
Recommended step size.
unit
string
Unit of the value, such as
px, % or dpi.marks
array
Notable values of
integer and float options. Each mark has a value and a label.suggestions
array
Common values of
string options. Other values are allowed as well.values
array
Details about the
possible_values of enum options. Each entry has a value and optionally a label and a description.engine_versions
array
Compatible engine versions for this conversion type. Available, if the include argument contains
engine_versions.version
string
Version of the engine.
default
boolean
This is the default version.
latest
boolean
This version is the latest one.
deprecated
boolean
This version is deprecated.
experimental
boolean
This version is experimental.
deprecated
boolean
This format is deprecated.
experimental
boolean
This format is experimental.
meta
dictionary
Meta attributes.